from beakers.recipe import Recipe

words = [
    "apple",
    "banana",
    "cactus",
    "daikon",
    "eel",
    "fig",
    "grape",
    "hibiscus",
    "ice",
    "jelly",
    "kingfish",
    "lemon",
    "mango",
    "nougat",
    "orange",
    "pear",
    "quail",
    "raspberry",
    "sturgeon",
    "tamarind",
]

recipe = Recipe("example01")
words_beaker = recipe.add_beaker("words", temp=True)
recipe.add_beaker("fruits")
recipe.add_beaker("other")
recipe.add_beaker("sentences")
recipe.add_conditional(
    "words",
    lambda x: x
    in (
        "apple",
        "banana",
        "fig",
        "grape",
        "lemon",
        "mango",
        "orange",
        "pear",
        "raspberry",
    ),
    "fruits",
    "other",
)
recipe.add_pour("fruits", "sentences", lambda x: f"I like to eat {x}")
recipe.add_pour("other", "sentences", lambda x: f"I'm not so sure about {x}")

for word in words:
    words_beaker.add_item(word)
recipe.run_push()
